/**
 * @license
 * Copyright (c) 2017 Octalhouse.
 *
 * ng-config-http-loader@1.0.0-beta.4
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at https://github.com/BizAppFramework/ng-config/blob/master/LICENSE
 */
import 'rxjs/add/operator/map';
import 'rxjs/add/operator/toPromise';

class ConfigHttpLoader {
    /**
     * @param {?} http
     * @param {?} endpoint
     */
    constructor(http, endpoint) {
        this.http = http;
        this.endpoint = endpoint;
        this.cachedSettings = {};
    }
    /**
     * @return {?}
     */
    getType() {
        return 'ConfigHttpLoader';
    }
    /**
     * @return {?}
     */
    load() {
        return this.http.get(this.endpoint)
            .map((res) => {
            this.cachedSettings = Object.assign(this.cachedSettings, res.json());
            return this.cachedSettings;
        })
            .toPromise();
    }
    /**
     * @return {?}
     */
    getLoadedSettings() {
        return this.cachedSettings;
    }
}

/**
 * Generated bundle index. Do not edit.
 */

export { ConfigHttpLoader };
//# sourceMappingURL=ng-config-http-loader.es.js.map
