/**
 * @license
 * Copyright (c) 2017 Octalhouse.
 *
 * ng-config-http-loader@1.0.0-beta.4
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at https://github.com/BizAppFramework/ng-config/blob/master/LICENSE
 */
(function (global, factory) {
	typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('rxjs/add/operator/map'), require('rxjs/add/operator/toPromise')) :
	typeof define === 'function' && define.amd ? define(['exports', 'rxjs/add/operator/map', 'rxjs/add/operator/toPromise'], factory) :
	(factory((global['ng-config-http-loader'] = {})));
}(this, (function (exports) { 'use strict';

/**
 * @license
 * Copyright (c) 2017 Octalhouse.
 *
 * ng-config-http-loader@1.0.0-beta.4
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at https://github.com/BizAppFramework/ng-config/blob/master/LICENSE
 */
var ConfigHttpLoader = /** @class */ (function () {
    /**
     * @param {?} http
     * @param {?} endpoint
     */
    function ConfigHttpLoader(http, endpoint) {
        this.http = http;
        this.endpoint = endpoint;
        this.cachedSettings = {};
    }
    /**
     * @return {?}
     */
    ConfigHttpLoader.prototype.getType = function () {
        return 'ConfigHttpLoader';
    };
    /**
     * @return {?}
     */
    ConfigHttpLoader.prototype.load = function () {
        var _this = this;
        return this.http.get(this.endpoint)
            .map(function (res) {
            _this.cachedSettings = Object.assign(_this.cachedSettings, res.json());
            return _this.cachedSettings;
        })
            .toPromise();
    };
    /**
     * @return {?}
     */
    ConfigHttpLoader.prototype.getLoadedSettings = function () {
        return this.cachedSettings;
    };
    return ConfigHttpLoader;
}());

exports.ConfigHttpLoader = ConfigHttpLoader;

Object.defineProperty(exports, '__esModule', { value: true });

})));
//# sourceMappingURL=ng-config-http-loader.umd.js.map
